<?php
namespace Teknisa\CNC\Factories;

use Doctrine\ORM\EntityManager;

class ProdutoFactory {

    protected $connection;

    public function __construct(EntityManager $entityManager) {
        $this->connection = $entityManager->getConnection();
    }

    public function getProducts($row){
        $sql = "SELECT DAT.NRPRODUTOADQ, DAT.NMPRODUTOADQ, DAT.CDPRODUTOADQ||' - '||DAT.NMPRODUTOADQ AS LABELPRODUTOADQ, 
         N FROM 
               (SELECT D.*, ROWNUM as N 
                FROM 
                     (SELECT NRPRODUTOADQ, NMPRODUTOADQ, CDPRODUTOADQ, CDPRODUTOADQ||' - '||NMPRODUTOADQ AS LABELPRODUTOADQ,
                      NRORG
                       FROM PRODUTOADQ 
                       WHERE UPPER (CDPRODUTOADQ||' - '||NMPRODUTOADQ) LIKE UPPER ('%'||:LABELPRODUTOADQ||'%')
                        AND IDVISIVEL = 'S'
                        AND IDATIVO = 'S'
                       ) D ) DAT
            ORDER BY NMPRODUTOADQ";
        $std = $this->connection->prepare($sql);
        $std->execute($row);
        return $std->fetchAll();
    }

}
